Bug 799511 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/kioto6_40gmail_2ecom at 0x16ce590>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-03-02 15:33 EST by Jorge
Modified: 2013-02-13 05:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 05:14:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jorge 2012-03-02 15:33:13 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
comment:        I didnt nothing
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.2.7-1.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/kioto6_40gmail_2ecom at 0x16ce590>
time:           Fri 02 Mar 2012 11:20:06 AM CST
uid:            1259341214
username:       jloria

:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/kioto6_40gmail_2ecom at 0x16ce590>
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/kioto6_40gmail_2ecom at 0x16ce590>
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x16ce150>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/kioto6_40gmail_2ecom at 0x16ce590>

:UUID: ea91530d-b9c1-42cb-b15a-db687cada955
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5867.38
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3 CPU         530  @ 2.93GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2933
:System Memory: 3881
:System Swap: 5919
:Vendor: Unknown
:Form factor: Unknown
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:(32902:11361:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:15152:32902:16983) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15136:32902:16983) pci, ata_piix, STORAGE, 5 Series/3400 Series Chipset 4 port SATA IDE Controller
:(32902:15170:32902:16983) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15106:32902:16983) pci, None, PCI/ISA, 5 Series Chipset LPC Interface Controller
:(4172:32803:32902:16983) pci, firewire_ohci, FIREWIRE, TSB43AB22A IEEE-1394a-2000 Controller (PHY/Link) [iOHCI-Lynx]
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15142:32902:16983) pci, ata_piix, STORAGE, 5 Series/3400 Series Chipset 2 port SATA IDE Controller
:(32902:15190:32902:52) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:4336:32902:0) pci, e1000e, ETHERNET, 82578DC Gigabit Network Connection
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:9294:32902:16983) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(4318:467:14402:50184) pci, nvidia, VIDEO, G72 [GeForce 7300 SE/7200 GS]
:(32902:15164:32902:16983) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:32902:16983) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:64:0:0) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:65:32902:16983) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:Filesystem Information
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:/dev/mapper/vg_programadorpc-lv_root / ext4 4096 4096 8705219 968139 881009 2179072 1763055 1763055
:/dev/sda3 /boot ext4 1024 1024 508745 394376 368776 128016 127778 127778
:/dev/sda2 WITHHELD fuseblk 4096 4096 67639011 16010212 16010212 65154960 64282416 64282416
Comment 1 Fedora End Of Life 2013-01-16 06:05:43 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Fedora End Of Life 2013-02-13 05:14:03 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.